> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conversation

> Update conversation title, folder, or style.



## OpenAPI

````yaml /openapi.json patch /api/v1/allmodelchat/conversations/{conversation_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/allmodelchat/conversations/{conversation_id}:
    patch:
      tags:
        - AllModelChat
      summary: Update Conversation
      description: Update conversation title, folder, or style.
      operationId: >-
        update_conversation_api_v1_allmodelchat_conversations__conversation_id__patch
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmcConversationUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmcConversationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AmcConversationUpdate:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        style_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Style Id
        folder:
          anyOf:
            - type: string
            - type: 'null'
          title: Folder
        is_pinned:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Pinned
      type: object
      title: AmcConversationUpdate
    AmcConversationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        style_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Style Id
        folder:
          anyOf:
            - type: string
            - type: 'null'
          title: Folder
        is_pinned:
          type: boolean
          title: Is Pinned
        status:
          type: string
          title: Status
        message_count:
          type: integer
          title: Message Count
        total_cost_credits:
          type: number
          title: Total Cost Credits
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - title
        - model_id
        - style_id
        - folder
        - is_pinned
        - status
        - message_count
        - total_cost_credits
        - created_at
        - updated_at
      title: AmcConversationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````